package no.valg.valgnatt.database.hibernate;

import org.junit.Test;

import static org.junit.Assert.assertEquals;

public class KommuneIdTest {

    private static final String KOMMNR = "0701";
    private static final int VALGAAR = 2019;
    private static final String KO = "KO";
    private static final KommuneId KOMMUNE_ID = KommuneId.builder().kommnr(KOMMNR).valgaar(VALGAAR).valgtype(KO).build();

    @Test
    public void equals_gittTilsvarendeObject() {
        KommuneId other = KommuneId.builder().kommnr(KOMMNR).valgaar(VALGAAR).valgtype(KO).build();
        assertEquals(KOMMUNE_ID, other);
    }

    @Test
    public void id_gittKommuneId() {
        assertEquals("KO-2019-0701", KOMMUNE_ID.id());
    }

    @Test
    public void hashCode_gittKommune_id() {
        assertEquals(402911654, KOMMUNE_ID.hashCode());
    }

    @Test
    public void toString_gittKommuneId() {
        assertEquals("KO-2019-0701", KOMMUNE_ID.toString());
    }
}
